# Manuale dell'utente di &kde;

Harri
Porten

    porten@kde.org

2008-10-15
0.01.01
kjs
1

# `kjs`

Interprete compatibile con ECMAScript di &kde;

## Sintassi

    kjs  --help -help -h   -e dichiarazione   script

## Descrizione

`kjs` è un motore ECMAScript/JavaScript di &kde;.

## Opzioni dell'applicazione

`--help`,`-help`,`-h`

  Mostra l'uso di `kjscmd`.

`-e` `dichiarazione`

  Esegue la dichiarazione ed esce. Per esempio:

      kjs -e "print('ciao mondo')"

`script`

  Esegue le dichiarazioni incluse nel file `script`.

## Uso

`kjs` `file`, come molti altri interpreti, quando chiamato senza parametri usa un editor di riga per inserire dichiarazioni, mostrando il prompt

    JS>

Per uscire dall'editor di riga scrivi `quit()` o premi &Ctrl;D.

## Vedi anche

kjs(1)

## Errori

Probabilmente ce ne sono a bizzeffe. Usa bugs.kde.org per segnalarli.